# $revision: 1.27 $, $Date: 2004/08/05 17:36:28 $

%bcond_with	mysql	# build with experimental mysql support

Summary:	IP Flow Meter is a bandwidth analysis tool
Summary(pl):	IP Flow Meter - program analizujcy wykorzystanie cza
Name:		ipfm
Version:	0.12.0pre1
Release:	2%{?with_mysql:.mysql}
License:	GPL
Group:		Networking/Utilities
Source0:	http://robert.cheramy.net/ipfm/archive/devel/0.12/%{name}-%{version}.tgz
# Source0-md5:	5952fe5a77023c6202a92cfbb400f7ba
Source1:	%{name}.init
Patch0:		%{name}-mysql.patch
URL:		http://robert.cheramy.net/ipfm/
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libpcap-devel
%{?with_mysql:BuildRequires:	mysql-devel}
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir		/etc/%{name}
%define		_initdir		/etc/rc.d/init.d
%define		_logdir			/var/log/%{name}

%description
IP Flow Meter is a bandwidth analysis tool, that measures how much
bandwidth specified hosts use on their Internet link.
%{?with_mysql:This version is with experimental mysql support.}

%description -l pl
IP Flow Meter to program analizujcy wykorzystanie cza. Mierzy on, w
jakim stopniu poszczeglne hosty wykorzystuj dostpne cze do
Internetu.
%{?with_mysql:Ta wersja eksperymentalnie obsluguje mysql-a.}

%prep
%setup -q
%{?with_mysql:%patch0 -p1}

%build
%{__autoconf}
%configure
%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/rc.d/init.d}

%{__make} ROOT=$RPM_BUILD_ROOT install

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc HISTORY TODO
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%dir %{_logdir}
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipfm.spec,v $
Revision 1.31  2004/08/05 17:36:28  domelu
- md5

Revision 1.30  2004/04/09 15:20:44  pzurowski
- Added experimental mysql support (in bcond, default off)
- Release 2

Revision 1.29  2003/11/16 14:43:43  pbern
- up to 0.12.0pre1

Revision 1.28  2003/06/13 08:37:20  areq
- update Source0 md5 and url

Revision 1.27  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 05:48:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/02/13 09:46:28  qboosh
- s/byacc/bison/ (preferred), more specific Requires

Revision 1.24  2003/02/13 02:03:29  baseciq
- up to 0.11.5 (rel.1)
- added missing br: (flex, byacc)

Revision 1.23  2002/08/25 18:36:49  kloczek
- revert some macros.

Revision 1.22  2002/06/11 10:47:11  kloczek
- use new %doc.

Revision 1.21  2002/05/21 23:13:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/05/08 20:51:00  alchemyx
- changed initscript so it starts separate ipfm processes for each file in
  /etc/ipfm/* (useful for monitoring many interfaces)
- release 7, STBR

Revision 1.19  2002/04/25 16:37:03  arturs
fixed a small typo

Revision 1.18  2002/04/25 14:15:52  marcus
-rel.6.

Revision 1.17  2002/04/02 19:06:06  alchemyx
- changed prio of initscripts from 99 to 95 so it boots before gdm
- release 5

Revision 1.16  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.13  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/09/22 20:51:45  grzegorz
- s/Prereq: rc-scripts/Prereq: chkconfig/

Revision 1.11  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/07/21 13:33:36  migo
- added pl summary and/or description

Revision 1.8  2001/07/16 20:35:47  grzegorz
- added autoconf to %%build, ac 2.50 ready
- added BuildRequire: autoconf
- rel 4

Revision 1.7  2001/07/16 20:30:21  grzegorz
- removed %%{__*} rpm macros

Revision 1.6  2001/07/02 06:46:02  grzegorz
- typos
- rel 3

Revision 1.5  2001/07/02 02:52:27  kloczek
- fixed %files list for man pages.

Revision 1.4  2001/07/02 02:51:43  kloczek
- removed INSTALL and LICENSE from %doc,
- added rc-scripts to Prereq,
- libpcap changed to libpcap-devel in BuildRequires,
- cosmetics.

Revision 1.3  2001/07/01 23:33:34  grzegorz
- added Source1 ipfm.init, pld style init
- added %%post and %%preun

Revision 1.2  2001/05/05 17:48:02  areq
- adapterized
